Search documentation of ExStreamClient

# ExStreamClient.Model.WrappedUnreadCountsResponse (ExStreamClient v0.1.10)

View Source

Schema representing a WrappedUnreadCountsResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.WrappedUnreadCountsResponse{
      channel_type: [ExStreamClient.Model.UnreadCountsChannelType.t()],
      channels: [ExStreamClient.Model.UnreadCountsChannel.t()],
      duration: String.t(),
      threads: [ExStreamClient.Model.UnreadCountsThread.t()],
      total_unread_count: integer(),
      total_unread_threads_count: integer()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()